#[derive(
    Debug,
    Clone,
    conjure_object::serde::Deserialize,
    conjure_object::serde::Serialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde", transparent)]
pub struct TimeRange(pub super::super::super::super::api::Range);
impl std::convert::From<super::super::super::super::api::Range> for TimeRange {
    #[inline]
    fn from(v: super::super::super::super::api::Range) -> Self {
        TimeRange(std::convert::From::from(v))
    }
}
impl std::ops::Deref for TimeRange {
    type Target = super::super::super::super::api::Range;
    #[inline]
    fn deref(&self) -> &super::super::super::super::api::Range {
        &self.0
    }
}
impl std::ops::DerefMut for TimeRange {
    #[inline]
    fn deref_mut(&mut self) -> &mut super::super::super::super::api::Range {
        &mut self.0
    }
}
impl std::convert::AsRef<super::super::super::super::api::Range> for TimeRange {
    #[inline]
    fn as_ref(&self) -> &super::super::super::super::api::Range {
        &self.0
    }
}
